next_fli_frame(3)

NAME
next_fli_frame

SYNOPSIS
#include <allegro.h>

int next_fli_frame(int loop);

DESCRIPTION
Reads the next frame of the current animation file. If loop is set the player will cycle when it reaches the end of the file, otherwise it will return FLI_EOF. Returns FLI_OK on success, FLI_ERROR or FLI_NOT_OPEN on error, and FLI_EOF on reaching the end of the file. The frame is read into the global variables fli_bitmap and fli_palette.

SEE ALSO
open_fli(3), fli_bitmap(3), fli_palette(3), fli_timer(3), fli_frame(3)